<html>
<head>
<title>OGRE: Ogre::FrameTimeControllerValue Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1FrameTimeControllerValue.html">FrameTimeControllerValue</a></div>
<h1>Ogre::FrameTimeControllerValue Class Reference</h1><!-- doxytag: class="Ogre::FrameTimeControllerValue" --><!-- doxytag: inherits="Ogre::ControllerValue,Ogre::FrameListener" -->Predefined controller value for getting the latest frame time.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::FrameTimeControllerValue:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1FrameTimeControllerValue-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#ed8ee1d63bf0c06fba9ec32bcf36d8c5">FrameTimeControllerValue</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#2ee210328604677cb76ba0e4d97bd84a">frameEnded</a> (const <a class="el" href="structOgre_1_1FrameEvent.html">FrameEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called just after a frame has been rendered.  <a href="#2ee210328604677cb76ba0e4d97bd84a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#15caa3fcb86af2036b336a5fa6efd1cd">frameStarted</a> (const <a class="el" href="structOgre_1_1FrameEvent.html">FrameEvent</a> &amp;evt)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when a frame is about to begin rendering.  <a href="#15caa3fcb86af2036b336a5fa6efd1cd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#f2fd240893f74e837ab4311b72690dd0">getValue</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#aacecf71666f76407c54a1d2f2152a8e">setValue</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> value)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#3ccd8486f00bcc4c47c6aa4ddbf1622c">getTimeFactor</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#5c794a028b0d300c1262fef68fad5984">setTimeFactor</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> tf)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#8c72f66d5f98e5e29642111113c74277">getFrameDelay</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#7ad2006dd65881a7a5a1abbf204d13a5">setFrameDelay</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fd)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#422d94e3bcc4b016104b5adec92b105d">getElapsedTime</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#2d76ad57948f7cd5f8657fc57cd28cd0">setElapsedTime</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> elapsedTime)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerValue.html#b719e69a47857662b71041b9c74e546b">setValue</a> (T value)=0</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#ab120ed336d85b375181a9a75b0fe6eb">mFrameTime</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#9cc9de7e8a4cf00a493bb356600e5689">mTimeFactor</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#dcd30d981a8e3012b4f4fff7494cf8ae">mElapsedTime</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FrameTimeControllerValue.html#6b3645fb30af84e4b553d00f7b19e293">mFrameDelay</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Predefined controller value for getting the latest frame time. 
<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00046">46</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="ed8ee1d63bf0c06fba9ec32bcf36d8c5"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::FrameTimeControllerValue" ref="ed8ee1d63bf0c06fba9ec32bcf36d8c5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::FrameTimeControllerValue::FrameTimeControllerValue           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="2ee210328604677cb76ba0e4d97bd84a"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::frameEnded" ref="2ee210328604677cb76ba0e4d97bd84a" args="(const FrameEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::FrameTimeControllerValue::frameEnded           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1FrameEvent.html">FrameEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called just after a frame has been rendered. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>True to continue with the next frame, false to drop out of the rendering loop. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1FrameListener.html#f1d0140678c18a013ac45aa544c00bfd">Ogre::FrameListener</a>.</p>

</div>
</div><p>
<a class="anchor" name="15caa3fcb86af2036b336a5fa6efd1cd"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::frameStarted" ref="15caa3fcb86af2036b336a5fa6efd1cd" args="(const FrameEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::FrameTimeControllerValue::frameStarted           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1FrameEvent.html">FrameEvent</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>evt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when a frame is about to begin rendering. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>True to go ahead, false to abort rendering and drop out of the rendering loop. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1FrameListener.html#88238b65f9ce32f0de8c5eeeb7b6c6ad">Ogre::FrameListener</a>.</p>

</div>
</div><p>
<a class="anchor" name="f2fd240893f74e837ab4311b72690dd0"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::getValue" ref="f2fd240893f74e837ab4311b72690dd0" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::FrameTimeControllerValue::getValue           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1ControllerValue.html#745741bba579264e57d797683d3feacd">Ogre::ControllerValue&lt; T &gt;</a>.</p>

</div>
</div><p>
<a class="anchor" name="aacecf71666f76407c54a1d2f2152a8e"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::setValue" ref="aacecf71666f76407c54a1d2f2152a8e" args="(Real value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FrameTimeControllerValue::setValue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3ccd8486f00bcc4c47c6aa4ddbf1622c"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::getTimeFactor" ref="3ccd8486f00bcc4c47c6aa4ddbf1622c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::FrameTimeControllerValue::getTimeFactor           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="5c794a028b0d300c1262fef68fad5984"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::setTimeFactor" ref="5c794a028b0d300c1262fef68fad5984" args="(Real tf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FrameTimeControllerValue::setTimeFactor           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>tf</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="8c72f66d5f98e5e29642111113c74277"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::getFrameDelay" ref="8c72f66d5f98e5e29642111113c74277" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::FrameTimeControllerValue::getFrameDelay           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="7ad2006dd65881a7a5a1abbf204d13a5"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::setFrameDelay" ref="7ad2006dd65881a7a5a1abbf204d13a5" args="(Real fd)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FrameTimeControllerValue::setFrameDelay           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fd</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="422d94e3bcc4b016104b5adec92b105d"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::getElapsedTime" ref="422d94e3bcc4b016104b5adec92b105d" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::FrameTimeControllerValue::getElapsedTime           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2d76ad57948f7cd5f8657fc57cd28cd0"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::setElapsedTime" ref="2d76ad57948f7cd5f8657fc57cd28cd0" args="(Real elapsedTime)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FrameTimeControllerValue::setElapsedTime           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>elapsedTime</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b719e69a47857662b71041b9c74e546b"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::setValue" ref="b719e69a47857662b71041b9c74e546b" args="(T value)=0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ControllerValue.html">Ogre::ControllerValue</a>&lt; T &gt;::setValue           </td>
          <td>(</td>
          <td class="paramtype">T&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="ab120ed336d85b375181a9a75b0fe6eb"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::mFrameTime" ref="ab120ed336d85b375181a9a75b0fe6eb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1FrameTimeControllerValue.html#ab120ed336d85b375181a9a75b0fe6eb">Ogre::FrameTimeControllerValue::mFrameTime</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00049">49</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9cc9de7e8a4cf00a493bb356600e5689"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::mTimeFactor" ref="9cc9de7e8a4cf00a493bb356600e5689" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1FrameTimeControllerValue.html#9cc9de7e8a4cf00a493bb356600e5689">Ogre::FrameTimeControllerValue::mTimeFactor</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00050">50</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dcd30d981a8e3012b4f4fff7494cf8ae"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::mElapsedTime" ref="dcd30d981a8e3012b4f4fff7494cf8ae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1FrameTimeControllerValue.html#dcd30d981a8e3012b4f4fff7494cf8ae">Ogre::FrameTimeControllerValue::mElapsedTime</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00051">51</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6b3645fb30af84e4b553d00f7b19e293"></a><!-- doxytag: member="Ogre::FrameTimeControllerValue::mFrameDelay" ref="6b3645fb30af84e4b553d00f7b19e293" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1FrameTimeControllerValue.html#6b3645fb30af84e4b553d00f7b19e293">Ogre::FrameTimeControllerValue::mFrameDelay</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00052">52</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:50 2008
</p>
</body>
</html>
